iPhone 6(S)(+) Chase app is forcing me to update to 10.3, any way around this?

Discussion in 'iPhone' started by TH55, Apr 2, 2018.

  1. TH55 macrumors 68030

    Joined:
    Nov 5, 2011
    #1
    The Chase app prompted me and said they will now only support iOS 10.3 and above. I don't want to lose my jailbreak, is there any way around this? Why do they do this?
     
  2. DeltaMac macrumors G3

    DeltaMac

    Joined:
    Jul 30, 2003
    Location:
    Delaware
    #2
    I imagine that Chase Bank doesn't care about your jailbreak - and from a security standpoint, CB would rather you stay with stock iOS. What other options do you have, assuming you want to continue to do business with Chase Bank on your iPhone? I might offer the suggestion to change banks, but I bet that Chase bank will not be the only financial services app to do the same.
     
  3. Rhonindk macrumors 68040

    Rhonindk

    #3
    Most of my other financial institutions did this a while back. I am surprised Chase waited that long.
     
  4. SigEp265 macrumors 6502

    SigEp265

    Joined:
    Dec 15, 2011
    Location:
    Southern California
  5. dwfaust, Apr 2, 2018
    Last edited: Apr 2, 2018

    dwfaust macrumors 601

    dwfaust

    Joined:
    Jul 3, 2011
    #5
    Some apps, especially those from financial institutions won't even run in jailbroken phones - for security issues... their logic says that JB phones are not a secure as non-JB devices.
     
  6. now i see it macrumors 68030

    Joined:
    Jan 2, 2002
    #6
    Either change banks or use their website. Banking apps are superfluous. You can do everything & more on their websites.
     
  7. Phone Junky macrumors 65816

    Phone Junky

    Joined:
    Oct 29, 2011
    Location:
    Sunshine State
    #7
    Don't use the app.
     
  8. Stewie macrumors 6502

    Stewie

    Joined:
    Jan 6, 2004
    Location:
    Austin
    #8
    I have never seen a website that lets me take a picture of my check and deposit it.
     

Share This Page